Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AnimationData Class Reference

アニメーションデータ More...

`#include <AnimationData.h>`

Inheritance diagram for Lamp::AnimationData:

List of all members.

## Public Member Functions
virtual AnimationData * | copy () const=0
| コピー
virtual void | setSequenceCount (int sequenceCount)=0
| シーケンス数の設定
virtual int | getSequenceCount () const=0
| シーケンス数の取得
virtual void | setLength (int sequence, float length)
| 長さの設定
virtual float | getLength (int sequence) const
| 長さの取得
virtual void | setLooped (int sequence, bool looped)
| ループの設定
virtual bool | isLooped (int sequence) const
| ループの取得
virtual const String & | getName () const
| 名前の取得
virtual AnimationManager * | getManager () const
| マネージャの取得
int | addReference ()
| リファレンスの追加
int | removeReference ()
| リファレンスの削除
int | getReferenceCount () const
| リファレンスカウントの取得
virtual bool | isCameraAnimationData () const
| カメラアニメーションデータかどうか
virtual CameraAnimationData * | castCameraAnimationData () const
| カメラアニメーションデータへのキャスト
virtual bool | isSceneNodeAnimationData () const
| シーンノードアニメーションデータかどうか
virtual SceneNodeAnimationData * | castSceneNodeAnimationData () const
| シーンノードアニメーションデータへのキャスト
virtual bool | isCharacterModelAnimationData () const
| キャラクタモデルアニメーションデータかどうか
virtual CharacterModelAnimationData * | castCharacterModelAnimationData () const
| キャラクタモデルアニメーションデータへのキャスト
## Protected Member Functions
| AnimationData (const String &name, AnimationManager *manager)
| コンストラクタ
virtual | ~AnimationData ()
| デストラクタ
virtual Sequence * | getSequence (int sequence)=0
| シーケンスの取得
virtual const Sequence * | getSequence (int sequence) const=0
| シーケンスの取得
## Friends
class | AnimationManager

## Detailed Description

アニメーションデータ

Definition at line 38 of file AnimationData.h.

## Constructor & Destructor Documentation

Lamp::AnimationData::AnimationData | ( | const String & | name,
|  | AnimationManager * | manager
| ) | `[inline, protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 249 of file AnimationData.h.

## Member Function Documentation

int Lamp::AnimationData::addReference | ( |  | ) | `[inline]`

| リファレンスの追加 Returns: リファレンスカウント Definition at line 169 of file AnimationData.h. Referenced by Lamp::CameraAnimation::copyCameraAnimation(), Lamp::CharacterModelAnimation::copyCharacterModelAnimation(), Lamp::SceneNodeAnimation::copySceneNodeAnimation(), Lamp::CameraAnimation::setCameraAnimationData(), Lamp::CharacterModelAnimation::setCharacterModelAnimationData(), and Lamp::SceneNodeAnimation::setSceneNodeAnimationData().

virtual CameraAnimationData* Lamp::AnimationData::castCameraAnimationData | ( |  | ) | const`[inline, virtual]`

| カメラアニメーションデータへのキャスト Returns: カメラアニメーションデータ。型が違えばNULLを返す。 Definition at line 202 of file AnimationData.h. References isCameraAnimationData(), and NULL. Referenced by Lamp::BinaryAnimationLoader::readCameraAnimationLink(), Lamp::TextAnimationLoader::readCameraLinkList(), Lamp::TextAnimationSaver::writeAnimationList(), and Lamp::BinaryAnimationSaver::writeAnimationList().

virtual CharacterModelAnimationData* Lamp::AnimationData::castCharacterModelAnimationData | ( |  | ) | const`[inline, virtual]`

| キャラクタモデルアニメーションデータへのキャスト Returns: キャラクタモデルアニメーションデータ。型が違えばNULLを返す。 Definition at line 235 of file AnimationData.h. References isCharacterModelAnimationData(), and NULL. Referenced by Lamp::BinaryAnimationLoader::readCharacterModelAnimationLink(), Lamp::TextAnimationLoader::readCharacterModelLinkList(), Lamp::TextAnimationSaver::writeAnimationList(), and Lamp::BinaryAnimationSaver::writeAnimationList().

virtual SceneNodeAnimationData* Lamp::AnimationData::castSceneNodeAnimationData | ( |  | ) | const`[inline, virtual]`

| シーンノードアニメーションデータへのキャスト Returns: シーンノードアニメーションデータ。型が違えばNULLを返す。 Definition at line 218 of file AnimationData.h. References isSceneNodeAnimationData(), and NULL. Referenced by Lamp::BinaryAnimationLoader::readSceneNodeAnimationLink(), Lamp::TextAnimationLoader::readSceneNodeLinkList(), Lamp::TextAnimationSaver::writeAnimationList(), and Lamp::BinaryAnimationSaver::writeAnimationList().

virtual AnimationData* Lamp::AnimationData::copy | ( |  | ) | const`[pure virtual]`

| コピー Returns: コピーされたアニメーションデータ Implemented in Lamp::CameraAnimationData, Lamp::CharacterModelAnimationData, and Lamp::SceneNodeAnimationData.

virtual float Lamp::AnimationData::getLength | ( | int | sequence | ) | const`[inline, virtual]`

  | 長さの取得 Parameters:
  sequence | シーケンス
Returns: 長さ Definition at line 119 of file AnimationData.h. References getSequence(), and Lamp::AnimationData::Sequence::length_. Referenced by Lamp::ObjectAnimation::getLength().

virtual AnimationManager* Lamp::AnimationData::getManager | ( |  | ) | const`[inline, virtual]`

| マネージャの取得 Returns: マネージャ Definition at line 160 of file AnimationData.h. Referenced by Lamp::CameraAnimationData::copyCameraAnimationData(), Lamp::CharacterModelAnimationData::copyCharacterModelAnimationData(), and Lamp::SceneNodeAnimationData::copySceneNodeAnimationData().

virtual const String& Lamp::AnimationData::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 151 of file AnimationData.h. Referenced by Lamp::CameraAnimationData::copyCameraAnimationData(), Lamp::CharacterModelAnimationData::copyCharacterModelAnimationData(), Lamp::SceneNodeAnimationData::copySceneNodeAnimationData(), Lamp::AnimationManager::createCameraData(), Lamp::AnimationManager::createCharacterModelData(), Lamp::AnimationManager::createSceneNodeData(), Lamp::AnimationManager::destroyData(), Lamp::TextAnimationSaver::writeCameraAnimationData(), Lamp::BinaryAnimationSaver::writeCameraAnimationData(), Lamp::TextAnimationSaver::writeCameraAnimationLink(), Lamp::BinaryAnimationSaver::writeCameraAnimationLink(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData(), Lamp::TextAnimationSaver::writeCharacterModelAnimationLink(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimationLink(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData(), Lamp::TextAnimationSaver::writeSceneNodeAnimationLink(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimationLink().

int Lamp::AnimationData::getReferenceCount | ( |  | ) | const`[inline]`

| リファレンスカウントの取得 Returns: リファレンスカウント Definition at line 187 of file AnimationData.h. Referenced by Lamp::AnimationManager::destroyData().

virtual const Sequence* Lamp::AnimationData::getSequence | ( | int | sequence | ) | const`[protected, pure virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implemented in Lamp::CameraAnimationData, Lamp::CharacterModelAnimationData, and Lamp::SceneNodeAnimationData.

virtual Sequence* Lamp::AnimationData::getSequence | ( | int | sequence | ) | `[protected, pure virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implemented in Lamp::CameraAnimationData, Lamp::CharacterModelAnimationData, and Lamp::SceneNodeAnimationData. Referenced by getLength(), isLooped(), setLength(), and setLooped().

virtual int Lamp::AnimationData::getSequenceCount | ( |  | ) | const`[pure virtual]`

| シーケンス数の取得 Returns: シーケンス数 Implemented in Lamp::CameraAnimationData, Lamp::CharacterModelAnimationData, and Lamp::SceneNodeAnimationData. Referenced by Lamp::ObjectAnimation::getSequenceCount().

virtual bool Lamp::AnimationData::isCameraAnimationData | ( |  | ) | const`[inline, virtual]`

| カメラアニメーションデータかどうか Returns: カメラアニメーションデータならtrue Reimplemented in Lamp::CameraAnimationData. Definition at line 196 of file AnimationData.h. Referenced by castCameraAnimationData(), Lamp::TextAnimationSaver::countObjects(), Lamp::BinaryAnimationSaver::countObjects(), Lamp::TextAnimationSaver::writeAnimationList(), and Lamp::BinaryAnimationSaver::writeAnimationList().

virtual bool Lamp::AnimationData::isCharacterModelAnimationData | ( |  | ) | const`[inline, virtual]`

| キャラクタモデルアニメーションデータかどうか Returns: キャラクタモデルアニメーションデータならtrue Reimplemented in Lamp::CharacterModelAnimationData. Definition at line 228 of file AnimationData.h. Referenced by castCharacterModelAnimationData(), Lamp::TextAnimationSaver::countObjects(), Lamp::BinaryAnimationSaver::countObjects(), Lamp::TextAnimationSaver::writeAnimationList(), and Lamp::BinaryAnimationSaver::writeAnimationList().

virtual bool Lamp::AnimationData::isLooped | ( | int | sequence | ) | const`[inline, virtual]`

  | ループの取得 Parameters:
  sequence | シーケンス
Returns: ループするならtrue Definition at line 140 of file AnimationData.h. References getSequence(), and Lamp::AnimationData::Sequence::looped_. Referenced by Lamp::ObjectAnimation::isLooped(), Lamp::TextAnimationSaver::writeCameraAnimationData(), Lamp::BinaryAnimationSaver::writeCameraAnimationData(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData().

virtual bool Lamp::AnimationData::isSceneNodeAnimationData | ( |  | ) | const`[inline, virtual]`

| シーンノードアニメーションデータかどうか Returns: シーンノードアニメーションデータならtrue Reimplemented in Lamp::SceneNodeAnimationData. Definition at line 212 of file AnimationData.h. Referenced by castSceneNodeAnimationData(), Lamp::TextAnimationSaver::countObjects(), Lamp::BinaryAnimationSaver::countObjects(), Lamp::TextAnimationSaver::writeAnimationList(), and Lamp::BinaryAnimationSaver::writeAnimationList().

int Lamp::AnimationData::removeReference | ( |  | ) | `[inline]`

| リファレンスの削除 Returns: リファレンスカウント Definition at line 178 of file AnimationData.h. Referenced by Lamp::CameraAnimation::setCameraAnimationData(), Lamp::CharacterModelAnimation::setCharacterModelAnimationData(), and Lamp::SceneNodeAnimation::setSceneNodeAnimationData().

virtual void Lamp::AnimationData::setLength | ( | int | sequence,
|  | float | length
| ) | `[inline, virtual]`

  | 長さの設定 Parameters:
  sequence | シーケンス
  length | 長さ
Definition at line 110 of file AnimationData.h. References getSequence(), and Lamp::AnimationData::Sequence::length_.

virtual void Lamp::AnimationData::setLooped | ( | int | sequence,
|  | bool | looped
| ) | `[inline, virtual]`

  | ループの設定 Parameters:
  sequence | シーケンス
  looped | 設定するループフラグ
Definition at line 131 of file AnimationData.h. References getSequence(), and Lamp::AnimationData::Sequence::looped_. Referenced by Lamp::TextAnimationLoader::readCameraAnimationData(), Lamp::BinaryAnimationLoader::readCameraAnimationData(), Lamp::TextAnimationLoader::readCharacterModelAnimationData(), Lamp::BinaryAnimationLoader::readCharacterModelAnimationData(), Lamp::TextAnimationLoader::readSceneNodeAnimationData(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimationData().

virtual void Lamp::AnimationData::setSequenceCount | ( | int | sequenceCount | ) | `[pure virtual]`

  | シーケンス数の設定 Parameters:
  sequenceCount | シーケンス数
Implemented in Lamp::CameraAnimationData, Lamp::CharacterModelAnimationData, and Lamp::SceneNodeAnimationData.

The documentation for this class was generated from the following file:

- AnimationData.h